#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

Name:           francis
Version: 24.12.0
Release:        %mkrel 1
Summary:        Time tracking app for KDE Plasma
Group:          Graphical desktop/KDE
License:       BSD-2-Clause AND BSD-3-Clause AND CC0-1.0 AND GPL-3.0-or-later AND LGPL-2.0-or-later AND LGPL-2.1-or-later
URL:            https://apps.kde.org/francis/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6KirigamiAddons)

Requires:       kirigami
Requires:       kirigami-addons


%description
Francis is a time tracking app using the well-known
pomodoro technique to help you get more productive.

%files -f %{name}.lang
%license LICENSES/*
%{_kf6_bindir}/francis
%{_kf6_applicationdir}/org.kde.francis.desktop
%{_kf6_iconsdir}/hicolor/scalable/apps/org.kde.francis.svg
%{_kf6_metainfodir}/org.kde.francis.metainfo.xml

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-man --with-qt --all-name


%changelog
* Thu Dec 12 2024 daviddavid <daviddavid> 24.12.0-1.mga10
+ Revision: 2123725
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 24.11.80-1.mga10
+ Revision: 2116282
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 24.08.3-1.mga10
+ Revision: 2113972
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 24.08.2-1.mga10
+ Revision: 2105471
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 24.08.1-1.mga10
+ Revision: 2097330
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087533
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085019
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073137
- New version 24.05.1

* Thu Jun 06 2024 daviddavid <daviddavid> 24.05.0-1.mga10
+ Revision: 2070245
- New version 24.05.0 (says hello francis to the kde-apps stack)

* Thu Mar 14 2024 daviddavid <daviddavid> 1.1.0-1.mga10
+ Revision: 2049921
- initial package francis

